Subject: Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37: _dl_call_libc_early_init: Assertion `sym != NULL' failed!

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Tue, 18 Jan 2022 12:49:32 +0100

Hi,

when I call guix, I get the error

Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37:
_dl_call_libc_early_init: Assertion `sym != NULL' failed!

`which guix` gives

/home/USER/.config/guix/current/bin/guix

I have the workaround to install guix for the user with

/var/guix/profiles/system-388-link/profile/bin/guix install guix # and all further packages it needed to build

and now `which guix` gives

/home/USER/.guix-profile/bin/guix

and guix works, but that does not look like a good solution.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de